AurionAI Docs

Swap Entry

POST
/api/v2/oncall/entries/{entry_id}/swap

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

entry_id*Entry Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

replaced_by_user_id*Replaced By User Id

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/oncall/entries/string/swap" \  -H "Content-Type: application/json" \  -d '{    "replaced_by_user_id": "string"  }'
{
  "created_at": "2019-08-24T14:15:22Z",
  "end_at": "2019-08-24T14:15:22Z",
  "id": "string",
  "replaced_by_name": "string",
  "replaced_by_user_id": "string",
  "schedule_id": "string",
  "start_at": "2019-08-24T14:15:22Z",
  "user_email": "string",
  "user_id": "string",
  "user_name": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}